import React from 'react';
import { Helmet } from 'react-helmet';
import { renderRoutes } from 'react-router-config';
import { BrowserRouter as Router, Switch } from 'react-router-dom';
import config from '../../routes/config';
import Authozed from '@/utils/authority';
import UserLogin from '@/pages/user/login';
import UserLayout from '@/layouts/UserLayout';

export default function App() {
  return (
    <>
      <Helmet titleTemplate="%s - 运维平台" defaultTitle="运维平台">
        <meta name="description" content="运维平台" />
      </Helmet>
      <Authozed
        noMatch={
          <UserLayout>
            <UserLogin />
          </UserLayout>
        }
        authority="login"
      >
        <Router basename={process.env.PUBLIC_PATH || 'reactOMS'}>
          <Switch>{renderRoutes(config.routes)}</Switch>
        </Router>
      </Authozed>
    </>
  );
}
